docs

# ExtendedBot

data class ExtendedBot ( val id: UserId , val username: Username , val firstName: String , val lastName: String = "", val canJoinGroups: Boolean = false, val canReadAllGroupMessages: Boolean = false, val supportsInlineQueries: Boolean = false) : Bot
Content copied to clipboard

## Constructors

ExtendedBot
Link copied to clipboard
fun ExtendedBot ( id: UserId , username: Username , firstName: String , lastName: String = "", canJoinGroups: Boolean = false, canReadAllGroupMessages: Boolean = false, supportsInlineQueries: Boolean = false)
Content copied to clipboard

## Properties

canJoinGroups
Link copied to clipboard
val canJoinGroups : Boolean = false
Content copied to clipboard
canReadAllGroupMessages
Link copied to clipboard
val canReadAllGroupMessages : Boolean = false
Content copied to clipboard
firstName
Link copied to clipboard
open override val firstName : String
Content copied to clipboard
id
Link copied to clipboard
open override val id : UserId
Content copied to clipboard
lastName
Link copied to clipboard
open override val lastName : String
Content copied to clipboard
supportsInlineQueries
Link copied to clipboard
val supportsInlineQueries : Boolean = false
Content copied to clipboard
username
Link copied to clipboard
open override val username : Username
Content copied to clipboard